#!/bin/sh
new_log_dir='/var/log/new';
grep_var="$1";

for i in `ls -1`; do
if [ -n "`echo $i` | grep gz" ]; then
echo "$i";
echo "---";
echo "copying $i at $new_log_dir/$i";
cp $i $new_log_dir/$i;
echo "Ungzipping $new_log_dir/$i";
gzip -d -f -q $new_log_dir/$i;
gz_name="$i";
echo "Cutting .gz";
cut_gz=${gz_name/.gz/};
echo "catting $cut_gz and grepping $grep_var from it";
cat $new_log_dir/$cut_gz | grep -v $grep_var > $new_log_dir/$cut_gz.new;
echo "Creating new $i";
gzip -c -f -q $new_log_dir/$cut_gz.new > $new_log_dir/$i;
fi
done     
