#!/bin/bash
# by Static's idea
# Under GPL v 2.0 and above.

arg0="$0";
arg1="$1";
arg2="$2";
arg3="$3";
arg_cnt="$#";
chk_args () {
echo $arg_cnt;
if [ "$arg_cnt" -lt "2" ]; then
 echo "File String finder / and substituter. v 0.2 by hip0";
 echo '-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-';
 echo "No arguments given. Minimum 2 args required.";
 echo 'Example:';
 echo "$arg0 searched_string string_to_subsitute";
 echo "put -v at as 3rd argument if you want verbose mode.";
 exit 0;
fi

if [ "$arg3" == "-v" ]; then
 verbose='1';
 else
 verbose='';
fi
}

core_func () {
for i in `ls -1 -a`; do
 if [ ! -d $i ] && [ -r $i ] && [ -s $i ] && [ -w $i ]; then
 grepped_string=`cat $i | grep $arg1`;
 else
fi


#echo $grepped_string;

if [ -n "$grepped_string" ]; then
 cat $i | sed -e "s/$arg1/$arg2/g" > $i.new;
 mv $i.new $i;

if [ "$verbose" == 1 ]; then
 echo "\"$arg1\" is in file: \"$i\"";
 echo "Substituting. $arg1 with $arg2";
fi

fi
done
}

main () {
chk_args;
core_func;
}

main;
