#!/bin/sh
# by Static's idea.
# Under GPL v 2.0 and above.
arg1="$1";
arg2="$2";
arg3="$3";
if [ -z "$1" ] && [ -z "$1" ] && [ "$arg1" == "$arg2" ]; then 

echo -e "File Argument Renamer v 0.1 by hip0";
echo -e '===================================';
echo -e "Enter name0 and name1.";
echo -e "Don't make name0 be equal to name1.";
echo -e "Put -v as 3rd argument for verbose mode.";
echo -e "For example `basename $0` file newfile -v\n";
exit 0;
fi

if [ -z "`ls -1 |grep $arg1`" ]; then
echo "No such string in the file names.";
exit 0;
fi

for i in `ls -1`; do

if [ "$i" == "`basename $0`" ]; then
cat /dev/null;
else
new_name=`echo $i | sed -e "s/$arg1/$arg2/g"`;

if [ "$arg3" == "-v" ]; then
echo "Renaming: |$i| to |$new_name|";
fi

mv -f $i $new_name;
fi

done

